=== modified file 'storage/innobase/include/srv0start.h'
--- storage/innobase/include/srv0start.h	2008-06-25 05:29:13 +0000
+++ storage/innobase/include/srv0start.h	2008-07-17 19:25:35 +0000
@@ -81,10 +81,6 @@
 extern	dulint	srv_shutdown_lsn;
 extern	dulint	srv_start_lsn;
 
-#ifdef __NETWARE__
-void set_panic_flag_for_netware(void);
-#endif
-
 #ifdef HAVE_DARWIN_THREADS
 extern	ibool	srv_have_fullfsync;
 #endif

=== modified file 'storage/innobase/include/ut0dbg.h'
--- storage/innobase/include/ut0dbg.h	2008-06-25 05:29:13 +0000
+++ storage/innobase/include/ut0dbg.h	2008-07-17 19:25:35 +0000
@@ -31,16 +31,6 @@
 	const char* file,	/* in: source file containing the assertion */
 	ulint line);		/* in: line number of the assertion */
 
-#ifdef __NETWARE__
-/* Flag for ignoring further assertion failures.
-On NetWare, have a graceful exit rather than a segfault to avoid abends. */
-extern ibool	panic_shutdown;
-/* Abort the execution. */
-void ut_dbg_panic(void);
-# define UT_DBG_PANIC ut_dbg_panic()
-/* Stop threads in ut_a(). */
-# define UT_DBG_STOP	while (0)	/* We do not do this on NetWare */
-#else /* __NETWARE__ */
 # if defined(__WIN__) || defined(__INTEL_COMPILER)
 #  undef UT_DBG_USE_ABORT
 # elif defined(__GNUC__) && (__GNUC__ > 2)
@@ -82,7 +72,6 @@
 		ut_dbg_stop_thread(__FILE__, (ulint) __LINE__);	\
 	} while (0)
 # endif /* UT_DBG_USE_ABORT */
-#endif /* __NETWARE__ */
 
 /* Abort execution if EXPR does not evaluate to nonzero. */
 #define ut_a(EXPR) do {						\

=== modified file 'storage/innobase/os/os0file.c'
--- storage/innobase/os/os0file.c	2008-07-06 13:00:18 +0000
+++ storage/innobase/os/os0file.c	2008-07-17 19:25:35 +0000
@@ -454,7 +454,7 @@
 
 #undef USE_FILE_LOCK
 #define USE_FILE_LOCK
-#if defined(UNIV_HOTBACKUP) || defined(__WIN__) || defined(__NETWARE__)
+#if defined(UNIV_HOTBACKUP) || defined(__WIN__) 
 /* InnoDB Hot Backup does not lock the data files.
  * On Windows, mandatory locking is used.
  */
@@ -510,7 +510,7 @@
 	}
 }
 
-#if !defined(UNIV_HOTBACKUP) && !defined(__NETWARE__)
+#if !defined(UNIV_HOTBACKUP) 
 /*************************************************************************
 Creates a temporary file that will be deleted on close.
 This function is defined in ha_innodb.cc. */
@@ -519,7 +519,7 @@
 innobase_mysql_tmpfile(void);
 /*========================*/
 			/* out: temporary file descriptor, or < 0 on error */
-#endif /* !UNIV_HOTBACKUP && !__NETWARE__ */
+#endif /* !UNIV_HOTBACKUP */
 
 /***************************************************************************
 Creates a temporary file.  This function is like tmpfile(3), but
@@ -537,27 +537,21 @@
 
 	return(NULL);
 #else
-# ifdef __NETWARE__
-	FILE*	file	= tmpfile();
-# else /* __NETWARE__ */
 	FILE*	file	= NULL;
 	int	fd	= innobase_mysql_tmpfile();
 
 	if (fd >= 0) {
 		file = fdopen(fd, "w+b");
 	}
-# endif /* __NETWARE__ */
 
 	if (!file) {
 		ut_print_timestamp(stderr);
 		fprintf(stderr,
 			"  InnoDB: Error: unable to create temporary file;"
 			" errno: %d\n", errno);
-# ifndef __NETWARE__
 		if (fd >= 0) {
 			close(fd);
 		}
-# endif /* !__NETWARE__ */
 	}
 
 	return(file);

=== modified file 'storage/innobase/os/os0thread.c'
--- storage/innobase/os/os0thread.c	2008-06-28 02:03:37 +0000
+++ storage/innobase/os/os0thread.c	2008-07-17 19:25:35 +0000
@@ -152,16 +152,6 @@
 		exit(1);
 	}
 #endif
-#ifdef __NETWARE__
-	ret = pthread_attr_setstacksize(&attr,
-					(size_t) NW_THD_STACKSIZE);
-	if (ret) {
-		fprintf(stderr,
-			"InnoDB: Error: pthread_attr_setstacksize"
-			" returned %d\n", ret);
-		exit(1);
-	}
-#endif
 	os_mutex_enter(os_sync_mutex);
 	os_thread_count++;
 	os_mutex_exit(os_sync_mutex);
@@ -273,8 +263,6 @@
 {
 #ifdef __WIN__
 	Sleep((DWORD) tm / 1000);
-#elif defined(__NETWARE__)
-	delay(tm / 1000);
 #else
 	struct timeval	t;
 

=== modified file 'storage/innobase/srv/srv0start.c'
--- storage/innobase/srv/srv0start.c	2008-06-25 05:29:13 +0000
+++ storage/innobase/srv/srv0start.c	2008-07-17 19:25:35 +0000
@@ -1169,14 +1169,6 @@
 	maximum number of threads that can wait in the 'srv_conc array' for
 	their time to enter InnoDB. */
 
-#if defined(__NETWARE__)
-
-	/* Create less event semaphores because Win 98/ME had
-	difficulty creating 40000 event semaphores.  Comment from
-	Novell, Inc.: also, these just take a lot of memory on
-	NetWare. */
-	srv_max_n_threads = 1000;
-#else
 	if (srv_pool_size >= 1000 * 1024) {
 		/* Here we still have srv_pool_size counted
 		in kilobytes (in 4.0 this was in bytes)
@@ -1193,7 +1185,6 @@
 						especially in 64-bit
 						computers */
 	}
-#endif
 	err = srv_boot(); /* This changes srv_pool_size to units of a page */
 
 	if (err != DB_SUCCESS) {
@@ -1803,9 +1794,6 @@
 				/* out: DB_SUCCESS or error code */
 {
 	ulint	i;
-#ifdef __NETWARE__
-	extern ibool panic_shutdown;
-#endif
 	if (!srv_was_started) {
 		if (srv_is_being_started) {
 			ut_print_timestamp(stderr);
@@ -1834,10 +1822,7 @@
 			"InnoDB will do a crash recovery!\n");
 	}
 
-#ifdef __NETWARE__
-	if(!panic_shutdown)
-#endif
-		logs_empty_and_mark_files_at_shutdown();
+	logs_empty_and_mark_files_at_shutdown();
 
 	if (srv_conc_n_threads != 0) {
 		fprintf(stderr,
@@ -1987,11 +1972,4 @@
 	return((int) DB_SUCCESS);
 }
 
-#ifdef __NETWARE__
-void set_panic_flag_for_netware()
-{
-	extern ibool panic_shutdown;
-	panic_shutdown = TRUE;
-}
-#endif /* __NETWARE__ */
 #endif /* !UNIV_HOTBACKUP */

=== modified file 'storage/innobase/ut/ut0dbg.c'
--- storage/innobase/ut/ut0dbg.c	2008-06-25 05:29:13 +0000
+++ storage/innobase/ut/ut0dbg.c	2008-07-17 19:25:35 +0000
@@ -19,12 +19,7 @@
 and assert */
 ibool	ut_dbg_stop_threads	= FALSE;
 #endif
-#ifdef __NETWARE__
-ibool panic_shutdown = FALSE;	/* This is set to TRUE when on NetWare there
-				happens an InnoDB assertion failure or other
-				fatal error condition that requires an
-				immediate shutdown. */
-#elif !defined(UT_DBG_USE_ABORT)
+#if !defined(UT_DBG_USE_ABORT)
 /* Null pointer used to generate memory trap */
 
 ulint*	ut_dbg_null_ptr		= NULL;
@@ -65,21 +60,6 @@
 #endif
 }
 
-#ifdef __NETWARE__
-/*****************************************************************
-Shut down MySQL/InnoDB after assertion failure. */
-
-void
-ut_dbg_panic(void)
-/*==============*/
-{
-	if (!panic_shutdown) {
-		panic_shutdown = TRUE;
-		innobase_shutdown_for_mysql();
-	}
-	exit(1);
-}
-#else /* __NETWARE__ */
 # if defined(UNIV_SYNC_DEBUG) || !defined(UT_DBG_USE_ABORT)
 /*****************************************************************
 Stop a thread after assertion failure. */
@@ -95,4 +75,3 @@
 	os_thread_sleep(1000000000);
 }
 # endif
-#endif /* __NETWARE__ */

